Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.xml
Class XmlObjectConfigurationReader

    java.lang.Object
      com.eviware.soapui.support.xml.XmlObjectConfigurationReader

    public class XmlObjectConfigurationReader

extends java.lang.Object

Support class for reading XmlObject based configurations..

Author:
  Ole.Matzura

Constructor Summary
`XmlObjectConfigurationReader(org.apache.xmlbeans.XmlObject config)`

Method Summary
`boolean` | `readBoolean(java.lang.String name, boolean def)`
`float` | `readFloat(java.lang.String name, float def)`
`int` | `readInt(java.lang.String name, int def)`
`long` | `readLong(java.lang.String name, int def)`
`java.lang.String` | `readString(java.lang.String name, java.lang.String def)`
`java.lang.String[]` | `readStrings(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlObjectConfigurationReader

    public XmlObjectConfigurationReader(org.apache.xmlbeans.XmlObject config)

Method Detail

### readInt

    public int readInt(java.lang.String name,
                       int def)

### readLong

    public long readLong(java.lang.String name,
                         int def)

### readFloat

    public float readFloat(java.lang.String name,
                           float def)

### readString

    public java.lang.String readString(java.lang.String name,
                                       java.lang.String def)

### readStrings

    public java.lang.String[] readStrings(java.lang.String name)

### readBoolean

    public boolean readBoolean(java.lang.String name,
                               boolean def)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.